org.freedesktop.cairo

## Class MimeType

- Object
- - org.freedesktop.cairo.MimeType

-     public class MimeType
      extends Object

  MIME types specifically supported by the Surface's `setMimeData()`.
  Since:
    4.0.18
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MimeType` | `JP2` The newer JPEG 2000 format images using wavelet compression.
    `static MimeType` | `JPEG` Normal JPEG format photographic images.
    `static MimeType` | `PNG` Portable Network Graphic.
    `static MimeType` | `URI`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JP2

          public static final MimeType JP2

      The newer JPEG 2000 format images using wavelet compression. ISO/IEC 15444-1.
      Since:
        4.0.18

    - #### JPEG

          public static final MimeType JPEG

      Normal JPEG format photographic images. ISO/IEC 10918-1.
      Since:
        4.0.18

    - #### PNG

          public static final MimeType PNG

      Portable Network Graphic.
      Since:
        4.0.18

    - #### URI

          public static final MimeType URI

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`